timetaken {data.table} | R Documentation

## Pretty print of time taken

### Description

Pretty print of time taken since last started.at.

### Usage

    timetaken(started.at)

### Arguments

`started.at` | The result of proc.time() taken some time earlier.

### Value

A character vector of the form hh:mm:ss, or ss.mmm if under 60 seconds.

### Examples

    started.at=proc.time()
    Sys.sleep(1)
    cat("Finished in",timetaken(started.at),"\n")

[Package data.table version 1.9.6 Index]